Index: ctl/ctlSQLResult.cpp
===================================================================
--- ctl/ctlSQLResult.cpp	(revision 4874)
+++ ctl/ctlSQLResult.cpp	(working copy)
@@ -72,19 +72,25 @@
 
         wxString text=GetItemText(row, col);
 
-        bool needQuote=(settings->GetExportQuoting() > 1);
+		bool needQuote  = false;
+		if (settings->GetExportQuoting() == 1)
+		{
+			/* Quote strings only */
+			switch (colTypClasses.Item(col))
+			{
+			case PGTYPCLASS_NUMERIC:
+			case PGTYPCLASS_BOOL:
+				break;
+			default:
+				needQuote=true;
+				break;
+			}
+		}
+		else if (settings->GetExportQuoting() == 2)
+			/* Quote everything */
+			needQuote = true;
 
-    
-        switch (colTypClasses.Item(col))
-        {
-            case PGTYPCLASS_NUMERIC:
-            case PGTYPCLASS_BOOL:
-                break;
-            default:
-                needQuote=true;
-                break;
-        }
-        if (needQuote)
+		if (needQuote)
             str.Append(settings->GetExportQuoteChar());
         str.Append(text);
         if (needQuote)
